> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_undo_logs-table.md).

# Information Schema INNODB\_UNDO\_LOGS Table

{% hint style="info" %}
The `INNODB_UNDO_LOGS` are a Percona enhancement, introduced in version [MariaDB 5.5.27](/docs/release-notes/community-server/old-releases/5.5/5.5.27.md) and removed in 10.0.
{% endhint %}

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `INNODB_UNDO_LOGS` table is a Percona enhancement, and is only available for XtraDB, not InnoDB (see [XtraDB and InnoDB](/docs/server/server-usage/storage-engines/innodb.md)). It contains information about the InnoDB [undo log](/docs/server/server-usage/storage-engines/innodb/innodb-undo-log.md), with each record being an undo log segment. It was removed in [MariaDB 10.0](/docs/release-notes/community-server/old-releases/10.0/changes-improvements-in-mariadb-10-0.md).

It has the following columns:

| Column        | Description                                                                                                                                                                                                                                                                |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| TRX\_ID       | Unique transaction ID number, matching the value from the [information\_schema.INNODB\_TRX](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_trx-table.md) table.              |
| RSEG\_ID      | Rollback segment ID, matching the value from the information\_schema.INNODB\_RSEG table.                                                                                                                                                                                   |
| USEG\_ID      | Undo segment ID.                                                                                                                                                                                                                                                           |
| SEGMENT\_TYPE | Indicates the operation type, for example INSERT or UPDATE.                                                                                                                                                                                                                |
| STATE         | Segment state; one of ACTIVE (contains active transaction undo log), CACHED, TO\_FREE (insert undo segment can be freed), TO\_PURGE (update undo segment won't be reused and can be purged when all undo data is removed) or PREPARED (segment of a prepared transaction). |
| SIZE          | Size in pages of the segment.                                                                                                                                                                                                                                              |

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_undo_logs-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
